Page MenuHomeFreeBSD

boottrace.4: Document that boottrace is good at tracing one-shot events
ClosedPublic

Authored by 0mp on Mar 15 2022, 1:22 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Jul 18, 6:30 PM
Unknown Object (File)
Sat, Jul 13, 7:20 PM
Unknown Object (File)
Sat, Jul 13, 6:30 PM
Unknown Object (File)
Mon, Jun 24, 7:53 PM
Unknown Object (File)
Jun 15 2024, 4:39 PM
Unknown Object (File)
May 18 2024, 2:18 AM
Unknown Object (File)
May 17 2024, 8:41 PM
Unknown Object (File)
May 15 2024, 1:13 PM

Details

Summary

Based on an email mhorne@ sent to arch@.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Passed
Unit
No Test Coverage
Build Status
Buildable 44779
Build 41667: arc lint + arc unit

Event Timeline

0mp requested review of this revision.Mar 15 2022, 1:22 PM
debdrup added a subscriber: debdrup.

A nice little addition to have. :)

pauamma_gundo.com added inline comments.
share/man/man4/boottrace.4
38

I think I understand what you mean, but an example (like *rummages through /var/run/dmesg.boot* the boottrace equivalent of "Launching APs: 1 2 3") may confirm my guess - or the guess of other semicasual readers.

share/man/man4/boottrace.4
38

If you have a good example on your mind we can surely merge it in. For the time being, I'll just commit what we have so far.

This revision was not accepted when it landed; it landed in state Needs Review.Jul 1 2022, 9:13 AM
This revision was automatically updated to reflect the committed changes.
share/man/man4/boottrace.4
38

I meant an example of (what you mean by) "one-shot events". If Launching APs: 1 2 3 is one (is it? you haven't said), and unless someone who already has a 14-current running with more than 1 (v)CPU can add an example with the boottrace equivalent of that message or another suitable one before I can get to setting up a suitable VM to try, I can do that once you confirm it counts as a one-shot event.

"one-shot" in this context means an event that occurs once and does not repeat. So the "Launching APs" event is a good example of this, as would be:

0   44875750         15 init                     init(8) starting...                          1    0.00     0     0

(raw output from the log)